Name:           zanshin
Version:        0.2.1
Release:        6%{?dist}
Summary:        Todo/action management software

Group:          Applications/Productivity
License:        GPLv2
URL:            http://zanshin.kde.org/
Source0:        http://files.kde.org/zanshin/zanshin-%{version}.tar.bz2
Source1:        https://api.opensuse.org/public/source/KDE:Unstable:Playground/zanshin/zanshin-lang.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  gettext
BuildRequires:  kdelibs-devel
BuildRequires:  kdepimlibs-devel
BuildRequires:  openssl-devel
Requires:       kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}

%description
Zanshin Todo is a powerful yet simple application for managing your day to day
actions. It helps you organize and reduce the cognitive pressure of what one has
to do in his job and personal life. You'll never forget anything anymore,
getting your mind like water.


%prep
%setup -q
%setup -q -a 1
# make sure locales get built
echo "add_subdirectory( po ) " >> CMakeLists.txt


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
desktop-file-validate %{buildroot}%{_datadir}/applications/kde4/%{name}.desktop
%find_lang %{name} --with-kde


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null
    gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :


%files -f %{name}.lang
%doc AUTHORS COPYING COPYING.LIB gpl-2.0.txt gpl-3.0.txt HACKING TODO
%{_kde4_bindir}/%{name}
%{_kde4_libdir}/kde4/*.so
%{_kde4_appsdir}/%{name}/
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_iconsdir}/hicolor/*/*/%{name}.*
%dir %{_kde4_datadir}/kde4/services/kontact/
%{_kde4_datadir}/kde4/services/kontact/*.desktop
%{_kde4_datadir}/kde4/services/*.desktop


%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Feb 18 2012 Christoph Wickert <cwickert@fedoraproject.org> - 0.2.1-1
- Update to 0.2.1

* Wed Nov 30 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.2.0-1
- Update to 0.2.0

* Wed Oct 05 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.91-1
- Update to 0.2 rc1

* Thu Sep 01 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.82-1
- Update to 0.2 Beta2

* Tue Aug 09 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.81-1
- Initial package (0.2. beta1)
